New Posts  All Forums:Forum Nav:

Linux Eclipse Setup

post #1 of 4
Thread Starter 
Wondering if anyone here can help me. I checked out the eclipse forums but its been 3 days since I heard a response from them and hoping to get this fixed.

installed eclipse on Linux Mint Debian - XFCE. Exlipse worked fine but when installing ADT Plugin it hanged for forever but eventually got it installed. However, when I attempt to update eclipse, this happens.

Cannot complete the install because of a conflicting dependency.
Software being installed: Eclipse Java Development Tools 3.7.2.v20120120-1414-7z8gFcuFMP7BW5XTz0jLTnz0l9B1 (org.eclipse.jdt.feature.group 3.7.2.v20120120-1414-7z8gFcuFMP7BW5XTz0jLTnz0l9B1)
Software currently installed: Eclipse Platform 3.7.0.I20110613-1736 (org.eclipse.platform.ide 3.7.0.I20110613-1736)
Only one of the following can be installed at once:
Help Application Server 3.1.400.v20110425 (org.eclipse.help.appserver 3.1.400.v20110425)
Help Application Server 3.1.400.dist (org.eclipse.help.appserver 3.1.400.dist)
Cannot satisfy dependency:
From: Eclipse Java Development Tools 3.7.2.v20120120-1414-7z8gFcuFMP7BW5XTz0jLTnz0l9B1 (org.eclipse.jdt.feature.group 3.7.2.v20120120-1414-7z8gFcuFMP7BW5XTz0jLTnz0l9B1)
To: org.eclipse.platform.feature.group 3.7.2
Cannot satisfy dependency:
From: Eclipse Platform 3.7.1.dist-9nF7UHaTFqoJrjktehOqRsbz-siCrKGYmtSeiRH (org.eclipse.platform.feature.group 3.7.1.dist-9nF7UHaTFqoJrjktehOqRsbz-siCrKGYmtSeiRH)
To: org.eclipse.help.appserver [3.1.400.dist]
Cannot satisfy dependency:
From: Eclipse Platform 3.7.2.v20120207-1839-9gF7UHPDFxGjd-PqDr2jX_4yKaumkoHTz04_q-q (org.eclipse.platform.feature.group 3.7.2.v20120207-1839-9gF7UHPDFxGjd-PqDr2jX_4yKaumkoHTz04_q-q)
To: org.eclipse.help.appserver [3.1.400.v20110425]
Cannot satisfy dependency:
From: Eclipse Platform 3.7.0.I20110613-1736 (org.eclipse.platform.ide 3.7.0.I20110613-1736)
To: org.eclipse.platform.feature.group [3.7.1.dist-9nF7UHaTFqoJrjktehOqRsbz-siCrKGYmtSeiRH]

Any ideas what is causing this?
Windfall
(13 items)
 
  
CPUMotherboardGraphicsRAM
Q9550 Asus P5E3 Premium Wifi XFX HD Radeon 6950 SuperTalent 
Hard DriveOptical DriveOSMonitor
WADFALS1001 WD Black Edition 1TB x 2 Raid 0 DVD-RW DIE VISTA, Using W7 24Inch 1920x1200 
PowerCase
Corsair 750TX Corsair 800D 
  hide details  
Reply
Windfall
(13 items)
 
  
CPUMotherboardGraphicsRAM
Q9550 Asus P5E3 Premium Wifi XFX HD Radeon 6950 SuperTalent 
Hard DriveOptical DriveOSMonitor
WADFALS1001 WD Black Edition 1TB x 2 Raid 0 DVD-RW DIE VISTA, Using W7 24Inch 1920x1200 
PowerCase
Corsair 750TX Corsair 800D 
  hide details  
Reply
post #2 of 4
Are you using Oracle JRE / JDK or OpenJDK?
I'd recommend using Oracles rather than OpenJDK.

Also what version of Eclipse is this? Assuming it's an Android ADT you're trying to install, there might be an issue as Ubuntu's repo's used to ship a really old build of Eclipse so Google recommended downloading your own copy (for Android dev) rather than using apt-get. However this was a long while ago so Ubuntu may well have since caught up.
post #3 of 4
Thread Starter 
The cause was OPenJDK being installed. I added the repo for Debian Squeeze main contrib non-free and was able to install Oracles. Which fixed those errors.

Thanks for the help.
Windfall
(13 items)
 
  
CPUMotherboardGraphicsRAM
Q9550 Asus P5E3 Premium Wifi XFX HD Radeon 6950 SuperTalent 
Hard DriveOptical DriveOSMonitor
WADFALS1001 WD Black Edition 1TB x 2 Raid 0 DVD-RW DIE VISTA, Using W7 24Inch 1920x1200 
PowerCase
Corsair 750TX Corsair 800D 
  hide details  
Reply
Windfall
(13 items)
 
  
CPUMotherboardGraphicsRAM
Q9550 Asus P5E3 Premium Wifi XFX HD Radeon 6950 SuperTalent 
Hard DriveOptical DriveOSMonitor
WADFALS1001 WD Black Edition 1TB x 2 Raid 0 DVD-RW DIE VISTA, Using W7 24Inch 1920x1200 
PowerCase
Corsair 750TX Corsair 800D 
  hide details  
Reply
post #4 of 4
Quote:
Originally Posted by Sarec View Post

The cause was OPenJDK being installed. I added the repo for Debian Squeeze main contrib non-free and was able to install Oracles. Which fixed those errors.
Thanks for the help.

ah suspected as much. thumb.gif
New Posts  All Forums:Forum Nav:
  Return Home
  Back to Forum: Coding and Programming